<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Εγχειρίδιο Χρήσης Ελεγκτή Εγκυρότητας CSS</title>
  <link rev="made" href="mailto:www-validator-css@w3.org" />
  <link rev="start" href="./" title="Home Page" />
  <style type="text/css" media="all">
    @import "style/base.css";    
    @import "style/docs.css";
  </style>
  <meta name="revision"
  content="$Id: manual.html.el,v 1.1 2011-04-07 14:34:40 ylafon Exp $" />
  <!-- SSI Template Version: $Id: manual.html.el,v 1.1 2011-04-07 14:34:40 ylafon Exp $ -->
</head>

<body>
  <div id="banner">
   <h1 id="title"><a href="http://www.w3.org/"><img alt="W3C" width="110" height="61" id="logo" src="./images/w3c.png" /></a>
   <a href="./"><span>Υπηρεσία Ελέγχου Εγκυρότητας CSS</span></a></h1>
   <p id="tagline">
     Έλεγχος Cascading Style Sheets (CSS) και εγγράφων (X)HTML με style sheets
   </p>
  </div>

<div id="main">
<!-- This DIV encapsulates everything in this page - necessary for the positioning -->

<div class="doc">
<h2>Εγχειρίδιο Χρήσης Ελεγκτή Εγκυρότητας CSS</h2>

<h3 id="TableOfContents">Περιεχόμενα</h3>

<div id="toc">
<ul>
  <li><a href="#use">Πως να χρησιμοποιείτε τον Ελεγκτή Εγκυρότητας CSS</a>
    <ul>
      <li><a href="#url">Έλεγχος Εγκυρότητας με απόκριση URL</a></li>
      <li><a href="#fileupload">Έλεγχος Εγκυρότητας με μεταφορά αρχείου</a></li>
      <li><a href="#directinput">Έλεγχος Εγκυρότητας με άμεση εισαγωγή</a></li>
      <li><a href="#basicvalidation">Τι κάνει ο βασικός έλεγχος εγκυρότητας;</a></li>
    </ul>
  </li>
  <li><a href="#advanced">Προχωρημένος έλεγχος εγκυρότητας</a>
    <ul>
	<li><a href="#paramwarnings">Παράμετροι προειδοποιήσεων</a></li>
	<li><a href="#paramprofile">Παράμετροι προφίλ</a></li>
	<li><a href="#parammedium">Παράμετροι μέσου</a></li>
    </ul>
  </li>
  <li><a href="#expert">Για τους ειδικούς</a>
    <ul>
	<li><a href="#requestformat">Αίτηση Μορφοποίησης Ελέγχου Εγκυρότητας</a></li>
	<li><a href="#api">API Υπηρεσία Web του Ελέγχου Εγκυρότητας CSS</a></li>
    </ul>
   </li>
</ul>
</div>

<p id="skip"></p>

<h3 id="use">Πως να χρησιμοποιείτε τον Ελεγκτή Εγκυρότητας CSS</h3>

<p>
Ο απλούστερος τρόπος για να ελέγξετε ένα έγγραφο είναι να χρησιμοποιήσετε τη βασική διασύνδεση. Σε αυτή τη σελίδα θα βρείτε τρεις βασικές μορφές που αντιστοιχούν σε τρεις δυνατότητες:
</p>

<h4 id="url">Έλεγχος Εγκυρότητας με απόκριση URL</h4>
<p>
    Απλά εισάγετε τη διεύθυνση  URL του εγγράφου που θέλετε να ελέγξετε την εγκυρότητα. 
    Το έγγραφο μπορεί να είναι  HTML ή CSS.
</p>
<img style="display: block; margin-left:auto; margin-right: auto;" 
    src="./images/uri_basic.png" alt="Validation by URI form" />

<h4 id="fileupload">Έλεγχος Εγκυρότητας με μεταφορά αρχείου</h4>    
<p>
    Η λύση αυτή επιτρέπει τη μεταφορά και έλεγχο ενός τοπικού αρχείου. Πιέστε το πλήκτρο  
    "Browse..." και επιλέξτε το αρχείο που θέλετε να ελέγξετε.
</p>
<img style="display: block; margin-left:auto; margin-right: auto;" 
    src="./images/file_upload_basic.png" 
    alt="Validation by File Upload" />
<p>
    Σε αυτή την περίπτωση, επιτρέπονται μόνο αρχεία  CSS. Αυτό σημαίνει ότι δεν μπορείτε να μεταφέρετε αρχεία (X)HTML. Πρέπει να είστε επίσης προσεκτικοί με τους κανόνες  
    @import καθώς πρέπει να ακολοθούνται μόνο εάν αναφέρουν αποκλειστικά ένα δημόσιο URL (επομένως, ξεχάστε τα αναφορικά μονοπάτια με αυτή τη λύση).</p>
   
<h4 id="directinput">Έλεγχος Εγκυρότητας με άμεση εισαγωγή</h4>
<p>
    Η μέθοδος αυτή είναι τέλεια για τον έλεγχο μερών CSS. Πρέπει να πληκτρολογήσετε το  CSS στην περιοχή κειμένου.</p>
<img style="display: block; margin-left:auto; margin-right: auto;" 
    src="./images/direct_input_basic.png" 
    alt="Validation by direct input" />
<p>
    Εφαρμόζονται τα ίδια σχόλια όπως προηγουμένως. Σημειώστε ότι η λύση αυτή είναι πολύ βολική εάν έχετε κάποιο πρόβλημα και χρειάζεστε κάποια βοήθεια από την κοινότητα. 
    Είναι επίσης πολύ βολικό να αναφέρετε ένα σφάλμα, καθώς μπορείτε να δημιουργήσετε ένα σύνδεσμο με το URL του αποτελέσματος και να δημιουργήσετε μία περίπτωση ελέγχου.
</p>    

<h4 id="basicvalidation">Τι κάνει ο βασικός έλεγχος εγκυρότητας;</h4>

<p>    
    Κατά τη χρήση της βασικής διασύνδεσης, ο ελεγκτής εγκυρότητας ελέγχει τη συμβατότητα σύμφωνα με το  <a href="http://www.w3.org/TR/CSS2">CSS 2</a>, το οποίο αποτελεί την τρέχουσα τεχνική πρόταση CSS.<br />
    Παράγει μία έξοδο XHTML χωρίς καμία προειδοποίηση (θα δείτε μόνο σφάλματα).<br />
    Το μέσο είναι ορισμένο στο  "όλα", το οποίο αποτελεί το κατάλληλο μέσο για όλες τις συσκευές  
    (δείτε τη σελίδα<a href="http://www.w3.org/TR/CSS2/media.html">
    http://www.w3.org/TR/CSS2/media.html</a> για μία ολοκληρωμένη περιγραφή του μέσου).
</p>

<h3 id="advanced">Προχωρημένος έλεγχος εγκυρότητας</h3>

<p>
    Εάν χρειάζεστε ένα πιο συγκεκριμένο έλεγχο, μπορείτε να χρησιμοποιήσετε την προχωρημένη διασύνδεση, η οποία επιτρέπει τον προσδιορισμό τριών παραμέτρων.Παρακάτω υπάρχει κάποια βοήθεια για κάθε μία από αυτές τις παραμέτρους.
</p>

<h4 id="paramwarnings">Προειδοποιήσεις</h4>

<p>
    Η παράμετρος αυτή είναι χρήσιμη για τον καθορισμό της έκτασης της ανάλυσης του Ελεγκτή Εγκυρότητας CSS. Πράγματι, ο ελεγκτής εγκυρότητας μπορεί να σας δώσει δύο ειδών μηνυμάτων: σφάλματα και προειδοποιήσεις.
    Τα σφάλματα εμφανίζονται όταν το CSS που ελέγχεται δε σέβεται τις υποδείξεις CSS. Οι προειδοποιήσεις διαφέρουν από τα σφάλματα καθώς δεν δηλώνουν ένα πρόβλημα σχετικά με την προδιαγραφή. Σκοπός τους είναι να προειδοποιήσουν τον προγραμματιστή CSS 
    ότι κάποια σημεία μπορεί να είναι επικίνδυνα και μπορούν να έχουν περίεργη συμπεριφορά σε ορισμένα μέσα.
</p>
<p>
    Μία τυπική προειδοποίηση αφορά την οικογένεια χαρακτήρων (font-family): εάν δεν παρέχετε μία γενική γραμματοσειρά, θα εμφανιστεί μία προειδοποίηση για να εισάγετε μία στο τέλος του κανόνα, διαφορετικά ένα μέσο που δεν θα γνωρίζει κάποια από τις άλλες γραμματοσειρές θα εμφανίσει την προεπιλεγμένη του γραμματοσειρά, η οποία μπορεί να έχει ως αποτέλεσμα μία περίεργη εμφάνιση.
</p>

<h4 id="paramprofile">Προφίλ</h4>

<p>
    Ο ελεγκτής εγκυρότητας CSS μπορεί να ελέγξει διαφορετικά προφίλ  CSS. Ένα προφίλ εμφανίζει όλα τα χαρακτηριστικά που αναμένεται να υλοποιήσει μία υλοποίηση σε μία συγκεκριμένη πλατφόρμα. Ο ορισμός λαμβάνεται από από την  
    <a href="http://www.w3.org/Style/2004/css-charter-long.html#modules-and-profiles0">
	τον ιστότοπο  CSS</a>. Η προεπιλεγμένη επιλογή ανταποκρίνεται στην πιο χρησιμοποιημένη τρέχουσα επιλογή: 
    <a href="http://www.w3.org/TR/CSS2">CSS 2</a>.
</p>

<h4 id="parammedium">Μέσον</h4>

<p>
    Η παράμετρος μέσου ισοδυναμεί με τον κανόνα @media, ο οποίος εφαρμόζεται σε όλο το έγγραφο. Θα βρείτε περισσότερες πληροφορίες σχετικά με τα μέσα στη διεύθυνση 
    <a href="http://www.w3.org/TR/CSS2/media.html">
	http://www.w3.org/TR/CSS2/media.html
    </a>.
</p>

<h3 id="expert">Για τους ειδικούς</h3>

<h4 id="requestformat">Αίτηση Μορφοποίησης Ελέγχου Εγκυρότητας</h4>
<p>Παρακάτω είναι ένας πίνακας με τις παραμέτρους που μπορείτε να χρησιμοποιήσετε για να στείλετε ένα ερώτημα στον W3C
CSS Ελεγκτή Εγκυρότητας.</p>

<p>Εάν επιθυμείτε να χρησιμοποιήσετε το δημόσιο διακομιστή ελεγκτή εγκυρότητας της W3C, χρησιμοποιήστε τις παρακάτω παραμέτρους σε συνδυασμό με το παρακάτω  URI:<br />
<kbd>http://jigsaw.w3.org/css-validator/validator</kbd><br />
εάν επιθυμείτε να καλέσετε τον ελεγκτή εγκυρότητας στο δικό σας διακομιστή, αντικαταστήστε με τη διεύθυνση του δικού σας διακομιστή.</p>

<p><strong>Σημείωση</strong>: Εάν επιθυμείτε να καλέσετε τον ελεγκτή εγκυρότητας προγραμματιστικά για μία δέσμη αρχείων, παρακαλούμε να βεβαιώσετε ότι ο κώδικας θα σταματάει (<code>sleep)</code> για <strong>τουλάχιστον 1 δευτερόλεπτο</strong> ανάμεσα στις αιτήσεις.
Η υπηρεσία του Ελεγκτή Εγκυρότητας CSS είναι δωρεάν, είναι δημόσια υπηρεσία για όλους και θα εκτιμηθεί ο σεβασμός σας. Ευχαριστούμε.</p>

<table class="refdoc">
  <tbody>
    <tr>
      <th>Παράμετρος</th>
      <th>Περιγραφή</th>
      <th>Προεπιλεγμένη τιμή</th>
    </tr>
    <tr>
      <th>uri</th>
      <td>Η διεύθυνση <acronym title="Universal Resource Locator">URL</acronym> για το αρχείο προς έλεγχο εγκυρότητας. Επιτρέπονται αρχεία CSS και HTML.</td>
      <td>Καμία, αλλά πρέπει να χρησιμοποιηθεί αυτή η παράμετρος ή η παράμετρος <code>text</code>.</td>
    </tr>
    <tr>
      <th>text</th>
      <td>Το έγγραφο προς έλεγχο εγκυρότητας. Επιτρέπεται μόνο  CSS.</td>
      <td>Καμία, αλλά πρέπει να χρησιμοποιηθεί αυτή η παράμετρος ή η παράμετρος <code>uri</code>.</td>
    </tr>
    <tr>
      <th>usermedium</th>
      <td>Το <a href="http://www.w3.org/TR/CSS2/media.html">μέσο</a> που χρησιμοποιείται για τον έλεγχο εγκυρότητας, όπως <code>screen</code>,
	  <code>print</code>, <code>braille</code>...</td>
      <td><code>all</code></td>
    </tr>
    <tr>
      <th>output</th>
      <td>Οι διάφορες μορφοποιήσεις των αποτελεσμάτων του ελεγκτή εγκυρότητας. Πιθανές μορφοποιήσεις είναι  
	<code>text/html</code> και <code>html</code> (αρχείο XHTML, 
	Τύπος-Περιεχομένου (Content-Type): text/html), 
	<code>application/xhtml+xml</code> και <code>xhtml</code> (αρχείο XHTML, Τύπος-Περιεχομένου (Content-Type): application/xhtml+xml), 
	<code>application/soap+xml</code> και <code>soap12</code> (αρχείο SOAP 1.2, Τύπος-Περιεχομένου (Content-Type): application/soap+xml), 
	<code>text/plain</code> και <code>text</code> (αρχείο κειμένου, 
	Τύπος-Περιεχομένου (Content-Type): text/plain),
	οτιδήποτε άλλο (αρχείο XHTML, Τύπος-Περιεχομένου (Content-Type): text/html)	
      </td>
      <td>html</td>
    </tr>
    <tr>
      <th>profile</th>
      <td>Το προφίλ  CSS που χρησιμοποιείται για τον έλεγχο εγκυρότητας. Μπορεί να είναι 
        <code>css1</code>, <code>css2</code>, <code>css21</code>,
        <code>css3</code>, <code>svg</code>, <code>svgbasic</code>,
        <code>svgtiny</code>, <code>mobile</code>, <code>atsc-tv</code>,
        <code>tv</code> ή <code>none</code></td>
      <td>η πιο πρόσφατη Υπόδειξη W3C: CSS 2</td>
    </tr>
    <tr>
      <th>lang</th>
      <td>Η γλώσσα που χρησιμοποιείτε για την απάντηση, τρέχουσες, <code>en</code>,
        <code>fr</code>, <code>ja</code>, <code>es</code>,
        <code>zh-cn</code>, <code>nl</code>, <code>de</code>, <code>it</code>, 
        <code>pl</code>.</td>
      <td>Αγγλικά (<code>en</code>).</td>
    </tr>
    <tr>
      <th>warning</th>
      <td>Το επίπεδο προειδοποίησης,  <code>no</code> για καμία προειδοποίηση, <code>0</code> 
	για λίγες προειδοποιήσεις, <code>1 ή</code> <code>2</code> για περισσότερες προειδοποιήσεις
      </td>
      <td>2</td>
    </tr>
  </tbody>
</table>

<h4 id="api">API Υπηρεσία Web του Ελέγχου Εγκυρότητας CSS: Εγχειρίδιο χρήσης διασύνδεσης ελέγχου εγκυρότητας SOAP 1.2</h4>
<p>    
    Για περισσότερη τεχνική βοήθεια, συγκεκριμένα σχετικά με το SOAP 1.2 και όλους τους πιθανούς τρόπους κλήσης του ελεγκτή εγκυρότητας, δείτε το
    <a href="./api.html">API Υπηρεσία Web του Ελέγχου Εγκυρότητας CSS</a>.       
</p>

</div>
</div>
<!-- End of "main" DIV. -->

   <ul class="navbar"  id="menu">
	<li><strong><a href="./" title="Home page for the W3C CSS Validation Service">Αρχική Σελίδα</a></strong> <span class="hideme">|</span></li>
        <li><a href="documentation.html" title="Documentation for the W3C CSS Validation Service">Εγχειρίδια Χρήσης</a> <span class="hideme">|</span></li>
        <li><a href="DOWNLOAD.html" title="Download the CSS validator">Λήψη Αρχείων</a> <span class="hideme">|</span></li>
        <li><a href="Email.html" title="How to provide feedback on this service">Η γνώμη σας </a> <span class="hideme">|</span></li>
        <li><a href="thanks.html" title="Credits and Acknowlegments">Ευχαριστίες</a><span class="hideme">|</span></li>
      </ul>

      <ul id="lang_choice">
           <li><a href="manual.html.de"
               lang="de"
               xml:lang="de"
               hreflang="de"
               rel="alternate">Deutsch</a></li>
           <li><a href="manual.html.en"
               lang="en"
               xml:lang="en"
           hreflang="en"
           rel="alternate">English</a>  </li>
           <li><a href="manual.html.es"
           lang="es" xml:lang="es" hreflang="es"
           rel="alternate">Español</a></li>
           <li><a href="manual.html.fr"
           lang="fr"
           xml:lang="fr"
           hreflang="fr"
           rel="alternate">Français</a> </li>
           <li><a href="manual.html.it"
               lang="it"
               xml:lang="it"
               hreflang="it"
               rel="alternate">Italiano</a> </li>
           <li><a href="manual.html.nl"
               lang="nl"
               xml:lang="nl"
               hreflang="nl"
               rel="alternate">Nederlands</a> </li>
           <li><a href="manual.html.ja"
               lang="ja"
               xml:lang="ja"
               hreflang="ja"
               rel="alternate">日本語</a> </li>
           <li><a href="manual.html.pl-PL"
               lang="pl"
               xml:lang="pl"
               hreflang="pl"
               rel="alternate">Polski</a> </li>
           <li><a href="manual.html.zh-cn"
               lang="zh-hans"
               xml:lang="zh-hans"
               hreflang="zh-hans"
               rel="alternate">中文</a></li>
      </ul>


   <div id="footer">
   <p id="activity_logos">

      <a href="http://www.w3.org/QA/" title="W3C's Quality Assurance Activity, bringing you free Web quality tools and more"><img src="http://www.w3.org/QA/2002/12/qa-small.png" alt="QA" /></a><a href="http://www.w3.org/Style/CSS/learning" title="Learn more about Cascading Style Sheets"><img src="images/woolly-icon" alt="CSS" /></a>
   </p>

   <p id="support_logo">
Υποστηρίξτε το εργαλείο, γίνετε ένας υποστηρικτής<br />
<a href="http://www.w3.org/Consortium/supporters"><img src="http://www.w3.org/Consortium/supporter-logos/csupporter.png" alt="W3C Supporter" /></a>
   </p>

    <p class="copyright">
      <a rel="Copyright" href="http://www.w3.org/Consortium/Legal/ipr-notice#Copyright">Πνευματικά Δικαιώματα</a> &copy; 1994-2009
      <a href="http://www.w3.org/"><acronym title="World Wide Web Consortium">W3C</acronym></a>&reg;

      (<a href="http://www.csail.mit.edu/"><acronym title="Massachusetts Institute of Technology">MIT</acronym></a>,
      <a href="http://www.ercim.org/"><acronym title="European Research Consortium for Informatics and Mathematics">ERCIM</acronym></a>,
      <a href="http://www.keio.ac.jp/">Keio</a>),
      Με επιφύλαξη παντός δικαιώματος.
      Εφαρμόζονται οι κανόνες της W3C για <a href="http://www.w3.org/Consortium/Legal/ipr-notice#Legal_Disclaimer">ευθύνη</a>,
      <a href="http://www.w3.org/Consortium/Legal/ipr-notice#W3C_Trademarks">καταχωρημένο εμπορικό σήμα</a>,
      <a rel="Copyright" href="http://www.w3.org/Consortium/Legal/copyright-documents">χρήση εγγράφου</a>

      και <a rel="Copyright" href="http://www.w3.org/Consortium/Legal/copyright-software">άδεια χρήσης λογισμικού</a>. Η αλληλεπίδραση σας με αυτόν τον ιστότοπο γίνεται σύμφωνα με τις δηλώσεις μας απορρήτου για <a href="http://www.w3.org/Consortium/Legal/privacy-statement#Public">δημόσια χρήση </a> και για τα 
      <a href="http://www.w3.org/Consortium/Legal/privacy-statement#Members">Μέλη</a>.    </p>


</div>
  </body>
</html>



